Subject: bug#56239: 28.1; Cannot send signals by name to inferior process by calling signal-process interactively

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 27 Jun 2022 12:41:29 +0200

Michael Albinus <[email-masked]> writes:

> Unfortunately, it's not such simple. signal-process can also deliver a
> signal to a process running on a remote host. The signal names on that
> host might differ from the signal names on the local host, collected by
> Fsignal_names.
>
> How do we want to handle this? I don't see a simple solution, because
> the file name handler machinery is not in use here.

I think users will just have to use numbers in those cases (which is
still possible).  I.e., the symbol names are a convenience where it
works, but if not, then users can't use those.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no